# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.94) ? 1 : 0);' 2>/dev/null || echo 0)
%global older_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)
%global even_older_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.82) ? 1 : 0);' 2>/dev/null || echo 0)

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Pod-Wordlist-hanekomu
Version:	1.132680
Release:	1.%{__distinit}%{__distvers}
Summary:	Add words for spell checking POD
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/module/Pod::Wordlist::hanekomu/
Source0:	http://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Pod-Wordlist-hanekomu-%{version}.tar.gz
Patch0:		Pod-Wordlist-hanekomu-1.132680-old-eu::mm.patch
Patch1:		Pod-Wordlist-hanekomu-1.110090-Test::More-version.patch
Patch2:		Pod-Wordlist-hanekomu-1.132680-Test::More-done_testing.patch
Patch3:		Pod-Wordlist-hanekomu-1.113620-Test::More-note.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# ===================================================================
# Module Build requirements
# ===================================================================
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# ===================================================================
# Module requirements
# ===================================================================
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Spelling), aspell-en
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# ===================================================================
# Test Suite requirements
# ===================================================================
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More)
# ===================================================================
# Author/Release test requirements
#
# Don't run these tests or include their requirements if we're
# bootstrapping, as many of these modules require each other for
# their author/release tests.
# ===================================================================
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(English)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::HasVersion)
BuildRequires:	perl(Test::CheckChanges)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Portability::Files)
# Test::Synopsis only available if we have Perl 5.8.8 onwards
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
BuildRequires:	perl(Test::Synopsis)
%endif
# Test::Vars only available if we have Perl 5.10 onwards
%if %(perl -e 'print $] >= 5.010 ? 1 : 0;')
BuildRequires:	perl(Test::Vars)
%endif
%endif
# ===================================================================
# Runtime requirements
# ===================================================================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
When loaded, this module automatically adds Test::Spelling stopwords for
POD spell checking, that is, words that should be ignored by the spell
check.

The stopword list includes some CPAN author names, technical terms (e.g.
JSON, URI) and other commonly-used words not included in the default
word list (e.g. mixin, munging).

%prep
%setup -q -n Pod-Wordlist-hanekomu-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0
%endif

# We have to patch the test suite if we have an old Test::More
#
# Don't really need Test::More ≥ 0.94
%if %{old_test_more}
%patch1 -p1
%endif
# done_testing requires Test::More ≥ 0.88
%if %{older_test_more}
%patch2
%endif
# note() requires Test::More ≥ 0.82
%if %{even_older_test_more}
%patch3 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test %{!?perl_bootstrap:AUTHOR_TESTING=1 RELEASE_TESTING=1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Wordlist::hanekomu.3pm*

%changelog
* Thu Sep 26 2013 Paul Howarth <paul@city-fan.org> - 1.132680-1
- Update to 1.132680
  - Marked as deprecated now that words are merged into Pod::Wordlist
- Classify buildreqs by usage
- Update patches as needed

* Thu Jan 24 2013 Paul Howarth <paul@city-fan.org> - 1.130240-1
- Update 1.130240
  - Added "rjbs", "mst", "subclass", "subclasses" and "tuple"

* Wed Oct 10 2012 Paul Howarth <paul@city-fan.org> - 1.122840-1
- Update to 1.122840
  - Added "MongoDB", "RDBMS", "SQLite" and "iteratively"

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.121370-3
- Perl 5.16 post-bootstrap rebuild

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 1.121370-2
- Perl 5.16 rebuild

* Thu May 17 2012 Paul Howarth <paul@city-fan.org> - 1.121370-1
- Update to 1.121370
  - Added: "GUIDs", "UUID", "UUIDs", "searchable"
- Re-diff patches where necessary to avoid .orig file pollution

* Thu May  3 2012 Paul Howarth <paul@city-fan.org> - 1.121231-1
- Update to 1.121231
  - Added "deserialized" and "parameterizable"
- Drop now-redundant BR: perl(Test::Requires) and patch to support building
  without it
- Re-diff patches where necessary to avoid .orig file pollution

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> - 1.120920-1
- Update to 1.120920
  - Added "pre", "precompute", "prereq", "prereqs", "symlinked"
- Update patch for building without Test::Requires if necessary

* Thu Mar 15 2012 Paul Howarth <paul@city-fan.org> - 1.120740-1
- Update to 1.120740
  - Documentation and metadata update
  - Added "CamelCase", "CPANPLUS", "EINTR", "GUID", "HTTPS", "IETF", "IRC",
    "ISP", "ISP's", "JSON", "modulino", "SMTP", "SSL", "URI's", "UTC", "wiki"
    "analyses", "chunked", "locator", "redirections", "reusability", and
    "timestamp"
- BR: perl(Test::Requires) where possible and patch the test suite not to use
  it otherwise
- Update %%description
- Use metacpan.org URLs
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Never need BR: aspell-en-gb
  - Unconditionally BR: perl(Test::Perl::Critic)
- Update patch for building with ExtUtils::MakeMaker < 6.30 and
  Test::More < 0.88

* Wed Dec 28 2011 Paul Howarth <paul@city-fan.org> - 1.113620-1
- Update to 1.113620
  - Added "Lapworth", "UTF", "aggregator", "aggregators", "probe's",
    "runtime", "seekable" and "sigils"
- Re-diff patches where necessary to avoid .orig file pollution

* Tue Aug  9 2011 Paul Howarth <paul@city-fan.org> - 1.110090-2
- BR: perl(Test::HasVersion) and perl(Test::Vars) for full release test
  coverage

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.110090-1
- Initial RPM version
